#![allow(dead_code)]

#[cfg(target_arch = "x86_64")]
pub use super::x86_64::cpu::*;

use super::interrupts;

pub fn idle_loop() -> ! {
    interrupts::enable();
    loop {
        wait_for_interrupt();
    }
}